Woopsi 1.0 GUI Framework for Nintendo DS Homebrew

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# WoopsiUI::ScrollableBase Class Reference

`#include <scrollablebase.h>`

Inheritance diagram for WoopsiUI::ScrollableBase:

List of all members.

## Public Member Functions
| ScrollableBase ()
virtual const s32 | getCanvasX () const =0
virtual const s32 | getCanvasY () const =0
virtual const s32 | getCanvasWidth () const =0
virtual const s32 | getCanvasHeight () const =0
virtual void | scroll (s32 dx, s32 dy)=0
virtual void | jump (s32 x, s32 y)=0
virtual bool | allowsVerticalScroll () const =0
virtual bool | allowsHorizontalScroll () const =0
virtual void | setAllowsVerticalScroll (bool allow)=0
virtual void | setAllowsHorizontalScroll (bool allow)=0
virtual void | setCanvasWidth (const s32 width)=0
virtual void | setCanvasHeight (const s32 height)=0
virtual | ~ScrollableBase ()

## Detailed Description

Abstract class defining basic functionality of scrolling gadgets. Scrolling regions are modelled as a virtual "canvas", or rectangular region, with height/width dimensions and x/y co-ordinates.

## Constructor & Destructor Documentation

WoopsiUI::ScrollableBase::ScrollableBase | ( |  | ) | `[inline]`

Constructor.

virtual WoopsiUI::ScrollableBase::~ScrollableBase | ( |  | ) | `[inline, virtual]`

Destructor.

## Member Function Documentation

virtual bool WoopsiUI::ScrollableBase::allowsHorizontalScroll | ( |  | ) | const`[pure virtual]`

Returns true if horizontal scrolling is allowed.

Returns:
  True if horizontal scrolling is allowed.

Implemented in WoopsiUI::ScrollingPanel, and WoopsiUI::ScrollingTextBox.

virtual bool WoopsiUI::ScrollableBase::allowsVerticalScroll | ( |  | ) | const`[pure virtual]`

Returns true if vertical scrolling is allowed.

Returns:
  True if vertical scrolling is allowed.

Implemented in WoopsiUI::ScrollingPanel, and WoopsiUI::ScrollingTextBox.

virtual const s32 WoopsiUI::ScrollableBase::getCanvasHeight | ( |  | ) | const`[pure virtual]`

Gets the height of the virtual canvas.

Returns:
  The height of the virtual canvas.

Implemented in WoopsiUI::ScrollingPanel, and WoopsiUI::ScrollingTextBox.

virtual const s32 WoopsiUI::ScrollableBase::getCanvasWidth | ( |  | ) | const`[pure virtual]`

Gets the width of the virtual canvas.

Returns:
  The width of the virtual canvas.

Implemented in WoopsiUI::ScrollingPanel, and WoopsiUI::ScrollingTextBox.

virtual const s32 WoopsiUI::ScrollableBase::getCanvasX | ( |  | ) | const`[pure virtual]`

Gets the x co-ordinate of the virtual canvas.

Returns:
  The x co-ordinate of the virtual canvas.

Implemented in WoopsiUI::ScrollingPanel, and WoopsiUI::ScrollingTextBox.

virtual const s32 WoopsiUI::ScrollableBase::getCanvasY | ( |  | ) | const`[pure virtual]`

Gets the y co-ordinate of the virtual canvas.

Returns:
  The y co-ordinate of the virtual canvas.

Implemented in WoopsiUI::ScrollingPanel, and WoopsiUI::ScrollingTextBox.

virtual void WoopsiUI::ScrollableBase::jump | ( | s32 | x,
|  | s32 | y
| ) |  | `[pure virtual]`

Repositions the virtual canvas to the specified co-ordinates.

Parameters:

  x | New x co-ordinate of the virtual canvas.
  y | New y co-ordinate of the virtual canvas.

Implemented in WoopsiUI::ScrollingPanel, and WoopsiUI::ScrollingTextBox.

virtual void WoopsiUI::ScrollableBase::scroll | ( | s32 | dx,
|  | s32 | dy
| ) |  | `[pure virtual]`

Scrolls the virtual canvas by the specified amounts.

Parameters:

  dx | Distance to scroll horizontally.
  dy | Distance to scroll vertically.

Implemented in WoopsiUI::ScrollingPanel, and WoopsiUI::ScrollingTextBox.

virtual void WoopsiUI::ScrollableBase::setAllowsHorizontalScroll | ( | bool | allow | ) | `[pure virtual]`

Set whether or not horizontal scrolling is allowed.

Parameters:

  allow | True to allow horizontal scrolling; false to deny it.

Implemented in WoopsiUI::ScrollingPanel, and WoopsiUI::ScrollingTextBox.

virtual void WoopsiUI::ScrollableBase::setAllowsVerticalScroll | ( | bool | allow | ) | `[pure virtual]`

Set whether or not horizontal scrolling is allowed.

Parameters:

  allow | True to allow horizontal scrolling; false to deny it.

Implemented in WoopsiUI::ScrollingPanel, and WoopsiUI::ScrollingTextBox.

virtual void WoopsiUI::ScrollableBase::setCanvasHeight | ( | const s32 | height | ) | `[pure virtual]`

Sets the height of the virtual canvas.

Parameters:

  height | The height of the virtual canvas.

Implemented in WoopsiUI::ScrollingPanel, and WoopsiUI::ScrollingTextBox.

virtual void WoopsiUI::ScrollableBase::setCanvasWidth | ( | const s32 | width | ) | `[pure virtual]`

Sets the width of the virtual canvas.

Parameters:

  width | The width of the virtual canvas.

Implemented in WoopsiUI::ScrollingPanel, and WoopsiUI::ScrollingTextBox.

The documentation for this class was generated from the following file:

- scrollablebase.h